import request from '@/utils/request'

// 查询aiSIP外呼网关列表
export function listAiSipCallGateway(query) {
  return request({
    url: '/company/aiSipCall/gateway/list',
    method: 'get',
    params: query
  })
}

// 查询aiSIP外呼网关列表
export function remoteGatewayList(data) {
  return request({
    url: '/company/aiSipCall/gateway/remoteList',
    method: 'post',
    data: data
  })
}

// 查询aiSIP外呼网关详细
export function getAiSipCallGateway(id) {
  return request({
    url: '/company/aiSipCall/gateway/' + id,
    method: 'get'
  })
}

// 新增aiSIP外呼网关
export function addAiSipCallGateway(data) {
  return request({
    url: '/company/aiSipCall/gateway',
    method: 'post',
    data: data
  })
}

// 修改aiSIP外呼网关
export function updateAiSipCallGateway(data) {
  return request({
    url: '/company/aiSipCall/gateway',
    method: 'put',
    data: data
  })
}

// 删除aiSIP外呼网关
export function delAiSipCallGateway(id) {
  return request({
    url: '/company/aiSipCall/gateway/' + id,
    method: 'delete'
  })
}

// 导出aiSIP外呼网关
export function exportAiSipCallGateway(query) {
  return request({
    url: '/company/aiSipCall/gateway/export',
    method: 'get',
    params: query
  })
}
